# PetscViewerMatlabGetArray

Gets a variable from a Matlab viewer into an array

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscViewerMatlabGetArray(PetscViewer mfile,int m,int n,PetscScalar *array,char *name)

Not Collective; only processor zero reads in the array

### Input Parameters

| mfile | - the Matlab file viewer
| m,n | - the dimensions of the array
| array | - the array (represented in one dimension)
| name | - the name of the array

Notes: Only reads in array values on processor 0.

Level:advanced
Location: src/sys/viewer/impls/matlab/vmatlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages